# After Robert & Casella (2010, p. 53)
# Ap - August 2016


rm(list = ls())	

M <- optimize(f = function(x){dbeta(x, 2.7, 6.3)}, interval = c(0, 1), maximum = T)$objective

Nsim <- 2500
a <- 2.7
b <- 6.3

x <- NULL
z <- NULL
while(length(x) < Nsim){
  y <- runif(Nsim, max = M)
  u <- runif(Nsim)
  x <- c(x, u[y < dbeta(u, a, b)]) 
  z <- c(z, y[y < dbeta(u, a, b)]) 
}  
x <- x[-1]
z <- z[-1]

# xpath <- "Z:/Dysgu/ResearchSchool/ScientificProgrammingSimulation/Simulation/"
xpath <- "/Users/arng0001/Dropbox/Gwaith/ScientificProgrammingSimulation/Simulation/R/"

# pdf(file = paste(xpath, "betaSimulation.pdf", sep = ""))
par(mar = c(2, 3.4, 0.5, 0.5))
curve(dbeta(x, 2.7, 6.3), lwd = 4, col = "red", ylab = "", xlab = "", axes = FALSE, ylim = c(0, 3))
points(x, z, pch = 16, cex = .6)
axis(1, lwd = 2, cex.axis = 1.8, las = 1)
axis(2, las = 1, lwd = 2, cex.axis = 1.8)
box(lwd = 2)
# dev.off()