# Example code to use uniformly distributed random numbers as part of a Poisson process
# Ap - Rogow, 24.06.2016. 

# Functions
rm(list = ls())									
set.seed(32789)

lambda <- 0.025
a <- 100
b <- 100
nPoints <- rpois(1, lambda * a * b)
x <- runif(nPoints, min = 0, max = a)
y <- runif(nPoints, min = 0, max = b)

# pdf(file = "/Users/arng0001/Dropbox/Gwaith/Dysgu/ResearchSchool/ScientificProgrammingSimulation/Simulation/PoissonProcess.pdf")
par(mar = c(0.2, 0.2, 0.2, 0.2))									
plot(x, y, main = "", pch = 16, axes = F)
box(lwd = 2)
# dev.off()